singularity(1)

NAME

singularity-key-export - Export a public or private key into a specific file

SYNOPSIS

singularity key export [export options...]

DESCRIPTION

The 'key export' command allows you to export a key and save it to a file.

OPTIONS

-a, --armor[=false]
    ascii armored format

-g, --global[=false]
    manage global public keys (import/pull/remove are restricted to root user or unprivileged installation only)

-h, --help[=false]
    help for export

--private[=false]
    export a private key (synonym for --secret)

-s, --secret[=false]
    export a secret key (synonym for --private)

EXAMPLE

      Exporting a private key:

      $ singularity key export --secret ./private.asc

      Exporting a public key:

      $ singularity key export ./public.asc

SEE ALSO

singularity-key(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra